{
	"name": "auth/allowed_function.json",
	"allow_data_parameter": {
		"erpSyncSave": true,
		"countryCodeToName": true,
		"countryCodeToCustomer": true,
		"erpSyncReadFolder": true,
		"importExportType": true,
		"exportXml": true,
		"exportCsv": true
	},
	"allow_extra_data_parameter": {
		"erpSyncSave": true,
		"erpSyncReadFolder": true,
		"importExportType": true,
		"exportXml": true,
		"exportCsv": true
	},
	"allowed_function": {
		"productionTimeSummary": "form/nc/report/production-time/production-time.productionTimeSummary",
		"setProcountorData": "form/nc/erp-sync/procountor/procountor-convert.setProcountorData",
		"procountorSalaryExportData": "form/nc/erp-sync/procountor/procountor-convert.salaryExportData",
		"saveHelp": "form/nc/nc-help/save-help-user-event.saveHelp",
		"saveUserEvent": "form/nc/nc-help/save-help-user-event.saveUserEvent",
		"saveDocument": "form/nc/nc-document/nc-document.saveDocument",
		"documentLink1": "form/nc/nc-document/nc-document.documentLink1",
		"input": "form/nc/nc-input-form/nc-input-form.input",
		"form.setPrintArray": "form/nc/report/form/form.setPrintArray",
		"form.printForm": "form/nc/report/form/form.printForm",
		"nc-stock.calculateProductNeed": "plugin/nc-calc-server/nc-stock.calculateProductNeed",
		"nc-calc-server.calculate": "plugin/nc-calc-server/nc-calc-server.calculate",
		"nc-calc-server.loading": "plugin/nc-calc-server/nc-calc-server.loading",
		"nc-calc-server.stockValue": "plugin/nc-calc-server/nc-calc-server.stockValue",
		"nc-calc-server.workCenter": "plugin/nc-calc-server/nc-calc-server.workCenter",
		"nc-database-editor.saveTablePreference": "form/nc/nc-define/nc-database-editor/nc-database-editor.saveTablePreference",
		"nc-database-editor.database": "form/nc/nc-define/nc-database-editor/nc-database-editor.database",
		"lantek.loadLantek": "plugin/external/lantek/lantek.loadLantek",
		"lantek.exportLantekXml": "plugin/external/lantek/lantek.exportLantekXml",
		"exportCsv": "convert.exportCsv",
		"exportXml": "convert.exportXml",
		"importExportType": "convert.importExportType",
		"erpSyncSave": "form/nc/erp-sync/erp-sync.erpSyncSave",
		"countryCodeToName": "form/nc/erp-sync/erp-sync.countryCodeToName",
		"countryCodeToCustomer": "form/nc/erp-sync/erp-sync.countryCodeToCustomer",
		"erpSyncReadFolder": "form/nc/erp-sync/erp-sync.erpSyncReadFolder",
		"stockValueReport.calculate": "form/nc/nc-stock/stock-value/stock-value.calculate",
		"query_to_file": "export.queryToFile",
		"tab_to_csv_file": "local/4d/output_tab_4d.tabToCsvFile",
		"tableName": "dschema.tableName",
		"sleep": "util.sleep",
		"sleep_count": "util.sleepCount",
		"fastems_orders_to_file": "custom/fastems/fastems_worker.ordersToFile",
		"fastems_manufactured_articles_to_file": "custom/fastems/fastems_worker.manufacturedArticlesToFile",
		"update_currency_rate": "custom/currency_import/currency_import_pl.saveRateToDatabase",
		"stop_unmanned_phase": "local/table/work_phase_actual.stopUnmannedPhase",
		"split_maintenance_phase": "local/table/work_phase_actual.splitMaintenanceWork",
		"setFinvoiceGridData": "form/nc/erp-sync/finvoice/finvoice.setFinvoiceGridData",
		"bysoft_send_and_receive": "custom/bysoft/bysoft.sendAndReceive",
		"save_document_count": "pr/save_document_count.saveDocumentCount",
		"saveDocumentCount": "pr/save_document_count.saveDocumentCount",
		"save_reclamation_count": "wos/save_reclamation_count.saveReclamationCount",
		"saveReclamationCount": "wos/save_reclamation_count.saveReclamationCount",
		"saveRateToDatabase": "custom/currency_import/currency_import_pl.saveRateToDatabase",
		"netvisor_send_function": "custom/netvisor/netvisor_send.postHttp",
		"showSql": "dsql.showSql",
		"sort": "filter_map_reduce.sort",
		"filter": "filter_map_reduce.filter",
		"map": "filter_map_reduce.map",
		"reduce": "filter_map_reduce.reduce",
		"work_center.call": "work-center/work-center.call",
		"errTest": "test/run_code_test.errTest",
		"so_update_confirmed_state_to_work_order": "so/update_confirmed_state_to_work_order.findWorkOrder",
		"wpaMachineData": "work_phase_actual.wpaMachineData",
		"wpaLastDateTime": "work_phase_actual.lastDateTime",
		"loadMachineData": "machine_data.eventArray",
		"wpaStartedData": "wpa/machine_data_to_work_phase_actual.wpaStartedData",
		"machineDataToWpa": "wpa/machine_data_to_work_phase_actual.machineDataToWpa",
		"stopEarlierStarted": "wpa/machine_data_to_work_phase_actual.stopEarlierStarted",
		"loadCapacity": "capacity/capacity.loadCapacity",
		"capacity.shiftLimitSumHours": "capacity/capacity.shiftLimitSumHours",
		"capacity.shiftLimitSumHoursLgArr": "capacity/capacity.shiftLimitSumHoursLgArr",
		"capacity.shiftArr": "capacity/capacity.shiftArr",
		"updateShift": "wpa/machine_data_to_work_phase_actual.updateShift",
		"checkLinkedWos": "wpa/machine_data_to_work_phase_actual.checkLinkedWos",
		"checkLinkedWo": "wpa/machine_data_to_work_phase_actual.checkLinkedWo",
		"addOpenWpa": "wpa/machine_data_to_work_phase_actual.addOpenWpa",
		"wpaSplitToShift": "wpa/machine_data_to_work_phase_actual.split",
		"updateWorkTime": "work_phase_actual.updateWorkTime",
		"clearOverlappedMachineTime": "work_phase_actual.clearOverlappedMachineTime",
		"updateWpaCalculatedField": "work_phase_actual.updateWpaCalculatedField",
		"updateWosWorkTime": "wpa/machine_data_to_work_phase_actual.updateWosWorkTime",
		"saveToDatabase": "dsave.saveToDatabase",
		"saveOtherThanSelectedTag": "execute.saveOtherThanSelectedTag",
		"saveSelectedTag": "execute.saveSelectedTag",
		"query": "qry.queryJsonData",
		"queryAll": "qry.query",
		"rag.queryRagWeb": "form/nc/nc-rag/nc-rag.queryRagWeb",
		"rag.startMatch": "form/nc/nc-rag/nc-rag.startMatch",
		"rag.dirTreeInfo": "form/nc/nc-rag/nc-rag.dirTreeInfo",
		"round": "util.round",
		"concat": "table.concat",
		"replace": "peg.replace",
		"concatWith": "peg.concatWith",
		"concatString": "peg.concatString",
		"toNumber": "peg.toNumber",
		"setRecordArrConcatField": "util.setRecordArrConcatField",
		"arrayUnique": "fnutil.uniqueArray",
		"arrayCombine": "util.arrayCombine",
		"arrayIndex": "fn.index",
		"arraySize": "util.arraySize",
		"util.parameterToTable": "util.parameterToTable",
		"selectFieldsFromArray": "util.selectFieldsFromArray",
		"fieldMaxValue": "util.arrayFieldMaxValue",
		"fieldValueToArray": "util.fieldValueToArray",
		"preferenceTagValue": "util.prfTag",
		"dateToWeek": "dt.toWeek",
		"daysAdd": "dt.daysAdd",
		"yearsAdd": "dt.yearsAdd",
		"daysSubtract": "dt.daysSubtract",
		"daysToCurrentDateStringAdd": "dt.daysToCurrentDateStringAdd",
		"secondsAdd": "dt.secondsAdd",
		"dateTimeToTimeString": "dt.toTimeString",
		"dateTimeToDateString": "dt.toDateString",
		"ymdAdd": "dt.ymdAdd",
		"ymdAddDateString": "dt.ymdAddDateString",
		"dayDifference": "dt.dayDifference",
		"hourDifferenceTimestamp": "dt.hourDifferenceTimestamp",
		"hourDifference": "dt.hourDifference",
		"timestampToNum": "dt.dateTimeParse",
		"dt.currentFormat": "dt.currentFormat",
		"dt.format": "dt.format",
		"dt.millisecondToDateString": "dt.millisecondToDateString",
		"dt.millisecondToTimeString": "dt.millisecondToTimeString",
		"dt.millisecondToLocalTimeString": "dt.millisecondToLocalTimeString",
		"dt.millisecondToString": "dt.millisecondToString",
		"currentDateTime": "dt.currentDateTime",
		"currentTimeZoneString": "dt.currentTimeZoneString",
		"currentUtcString": "dt.currentUtcString",
		"currentDateString": "dt.currentDateString",
		"currentYearStartString": "dt.currentYearStartString",
		"currentMonthStartString": "dt.currentMonthStartString",
		"currentMonthEndString": "dt.currentMonthEndString",
		"currentDate": "dt.currentDate",
		"currentTimeString": "dt.currentTimeString",
		"currentUser": "auth.currentUser",
		"currentUserId": "auth.currentUserId",
		"profitPercentage": "execute.profitPercentage",
		"custom/lemon.exportInvoice": "custom/lemon.exportInvoice",
		"loadResultCache": "result_cache.loadResultCache",
		"saveResultCache": "result_cache.saveResultCacheRecord",
		"parseBefore": "peg.parseBefore",
		"parseAfterLast": "peg.parseAfterLast",
		"parse": "peg.parse",
		"parseOld": "util.stringParse",
		"linkedFieldValue": "execute.linkedFieldValue",
		"iterPreference": "execute.iterPreference",
		"run_preference": "execute.runPreference",
		"runPreference": "execute.runPreference",
		"db.update": "dsave.update",
		"test.start": "test.start",
		"upperCase": "peg.upper",
		"lowerCase": "peg.lower",
		"-": "util.oppositeNumber",
		"calculate": "execute.calculate",
		"currencyPriceToDefaultPrice": "ma.currencyPriceToDefaultPrice",
		"printTable": "util.printTable",
		"odoo.login": "plugin/external/odoo/odoo-rpc.login",
		"odoo.callQuery": "plugin/external/odoo/odoo-rpc.callQuery"
	}
}
